Subject: bug#54372: SVG icons are not rendered in Qt application (qTox)

From: Andrew Tropin <[email-masked]>
Date: Wed, 19 Feb 2025 07:57:19 +0400

On 2025-02-17 22:50, Maxim Cournoyer wrote:

> Hi Andrew,
>
> Andrew Tropin <[email-masked]> writes:
>
>> In qTox some icons inside interaface are not rendered.
>>
>> The log contains a lot of related warnings:
>>
>> AL lib: (WW) Querying error state on null context (implicitly 0xa004)
>> [10:09:16.339 UTC] nexus.cpp:86 : Debug: Starting up
>> [10:09:16.539 UTC] persistence/profile.cpp:318 : Debug: Self avatar not found, will broadcast empty avatar to friends
>> [10:09:16.577 UTC] :0 : Warning: Could not create pixmap from /home/bob/.local/share/qTox/themes/default/chatForm/callButton.svg
>> [10:09:16.578 UTC] :0 : Warning: Could not create pixmap from /home/bob/.local/share/qTox/themes/default/chatForm/callButton.svg
>> [10:09:16.578 UTC] :0 : Warning: Could not create pixmap from /home/bob/.local/share/qTox/themes/default/chatForm/videoButton.svg
>>
>> I copied and used a theme from qtox repository instead of built-in to
>> make sure that files are valid SVGs, but it doesn't matter.  Also, built
>> a latest qtox release, same issue here.
>>
>> Reported it to qTox, but it seems the problem is related to qt or qtsvg.
>> https://github.com/qTox/qTox/issues/6555
>
> The repository is now archived; should the package be slated for
> removal, according to our documented process?

I don't use it at the moment, but AFAIK there is actively maintained
fork: https://github.com/TokTok/qTox

I guess it would be better to just migrate package to this fork.

-- 
Best regards,
Andrew Tropin